Name:           perl-Dancer-Session-Cookie
Version:        0.25
Release:        1%{?dist}
Summary:        Encrypted cookie-based session backend for Dancer
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Dancer-Session-Cookie/
Source0:        http://www.cpan.org/authors/id/Y/YA/YANICK/Dancer-Session-Cookie-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.006
BuildRequires:  perl(Crypt::CBC)
BuildRequires:  perl(Crypt::Rijndael)
BuildRequires:  perl(Dancer) >= 1.3113
BuildRequires:  perl(Dancer::Cookie)
BuildRequires:  perl(Dancer::Cookies)
BuildRequires:  perl(Dancer::ModuleLoader)
BuildRequires:  perl(Dancer::Session::Abstract)
BuildRequires:  perl(Dancer::Test)
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Session::Storage::Secure) >= 0.010
BuildRequires:  perl(String::CRC32)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More) >= 0.96
BuildRequires:  perl(Test::NoWarnings)
BuildRequires:  perl(Test::WWW::Mechanize::PSGI)
BuildRequires:  perl(Time::Duration::Parse)
Requires:       perl(Crypt::CBC)
Requires:       perl(Crypt::Rijndael)
Requires:       perl(Dancer) >= 1.3113
Requires:       perl(Dancer::Cookie)
Requires:       perl(Dancer::Cookies)
Requires:       perl(Dancer::Session::Abstract)
Requires:       perl(Session::Storage::Secure) >= 0.010
Requires:       perl(String::CRC32)
Requires:       perl(Time::Duration::Parse)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module implements a session engine for sessions stored entirely in
cookies. Usually only session id is stored in cookies and the session data
itself is saved in some external storage, e.g. database. This module allows
to avoid using external storage at all.

%prep
%setup -q -n Dancer-Session-Cookie-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf $RPM_BUILD_ROOT

./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes CONTRIBUTORS dist.ini LICENSE META.json README README.mkdn
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Sep 02 2014 Dave Cross <dave@mag-sol.com> 0.25-1
- Specfile autogenerated by cpanspec 1.78.
